#include <exec/types.h>
#include <intuition/intuition.h>

#define VERSION_INFO "Printer MODe (Amiga v2.3a) by John Mosley, Copyright (C) 10-19-1992"
#define NAME "pmod23a"
#define SFB_SIZE 10240
#define DFB_SIZE 10240
#define FILE_REQ   'f'
#define OPTION_REQ 'o'
#define FILE_UP  0
#define SKIP_UP  1
#define RETRY_UP 2
#define ABORT_UP 3
#define NOTHING  4
/* set the revision number of Intuition and graphics */
#define INTUITION_REV 33
#define GRAPHICS_REV 33

typedef struct Gadget GAD, *GADPTR;

typedef struct Gad_Result {
	char ID, *string;
} GRES, *GRESPTR;

int badargs(int, char *[]);
void printcodes(int, char *[]);
void exnum(char *, char *);
void clean_up(void);
void print_usage(void);
char Open_All(void);
void CloseLibs(void);
void Do_Request(char *, GRESPTR, char);
USHORT pop_gadget(struct Window *);
